Loading...
Searching...
No Matches
AVDetectionBBoxHeader Struct Reference

`#include <libavutil/detection_bbox.h>`

## Data Fields

char | source [256]
| Information about how the bounding box is generated.
uint32_t | nb_bboxes
| Number of bounding boxes in the array.
size_t | bboxes_offset
| Offset in bytes from the beginning of this structure at which the array of bounding boxes starts.
size_t | bbox_size
| Size of each bounding box in bytes.

## Detailed Description

Definition at line 56 of file detection_bbox.h.

## Field Documentation

## source

char AVDetectionBBoxHeader::source[256]

Information about how the bounding box is generated.

for example, the DNN model name.

Definition at line 61 of file detection_bbox.h.

## nb_bboxes

uint32_t AVDetectionBBoxHeader::nb_bboxes

Number of bounding boxes in the array.

Definition at line 66 of file detection_bbox.h.

## bboxes_offset

size_t AVDetectionBBoxHeader::bboxes_offset

Offset in bytes from the beginning of this structure at which the array of bounding boxes starts.

Definition at line 72 of file detection_bbox.h.

Referenced by av_get_detection_bbox().

## bbox_size

size_t AVDetectionBBoxHeader::bbox_size

Size of each bounding box in bytes.

Definition at line 77 of file detection_bbox.h.

Referenced by av_get_detection_bbox().

The documentation for this struct was generated from the following file:

- libavutil/detection_bbox.h